---
title: Active Regions
url: https://docs.vultr.com/products/network/cdn-push-zone/management/active-regions
description: A list of geographical regions where Vultr services are currently available for deployment.
publish_date: 2024-09-23T20:21:13.117464Z
last_updated: 2026-05-26T20:15:35.065370Z
---

# How to Manage Active Regions for Vultr CDN Push Zones

Active Regions in Vultr CDN Push Zones allow you to specify the regions where your content is stored and delivered. With 32 global locations to choose from, this feature ensures that your data is readily available and served quickly from multiple edge servers, enhancing performance and reducing latency for users in those regions. By updating the active regions, you can optimize content delivery and improve the user experience across various geographic areas.

Follow this guide to update the active regions for a Vultr CDN Push Zone subscription on your Vultr account using the Vultr Console, API, or CLI.

=== "Vultr Console"

    1. Navigate to **Products**, click **CDN**, and then click **Push Zones**.
    1. Click your target CDN Push Zone subscription to open its management page.
    1. Click **Regions**.
    1. Select any region in which you want a Push Zone.
    1. Deselect any region in which you do not want a Push Zone.

=== "Vultr API"

    1. Send a `GET` request to the [**List CDN Push Zones** endpoint](https://www.vultr.com/api/#tag/CDNs/operation/list-pushzones) and note the target Push Zone subscription's ID.

        ```console
        $ curl "https://api.vultr.com/v2/cdns/push-zones" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `GET` request to the [**List Regions** endpoint](https://www.vultr.com/api/#tag/region/operation/list-regions) and note your target region ID.

        ```console
        $ curl "https://api.vultr.com/v2/regions" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `PUT` request to the [**Update CDN Push Zone** endpoint](https://www.vultr.com/api/#tag/CDNs/operation/update-pushzone) to update the Push Zone regions.

        ```console
        $ curl "https://api.vultr.com/v2/cdns/push-zones/{pushzone-id}" \
            -X PUT \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{
                "regions": [
                    "{region_1_id}",
                    "{region_2_id}", 
                    "{region_3_id}"
                ]
            }'
        ```

=== "Vultr CLI"

    1. List all available CDN Push Zone subscriptions and note the target Push Zone subscription's ID. 

        ```console
        $ vultr-cli cdn push list
        ```

    1. List all Vultr regions and note your target region ID.

        ```console
        $ vultr-cli regions list
        ```

    1. Update the regions for the target Push Zone subscription.

        ```console
        $ vultr-cli cdn push update <pushzone-id> --regions "<region_1_id>,<region_2_id>,<region_3_id>"
        ```